## ros-melodic-exotica-collision-scene-fcl-latest 6.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(exotica_collision_scene_fcl_latest)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS exotica_core fcl_catkin geometric_shapes)

AddInitializer(collision_scene_fcl_latest)
GenInitializers()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS exotica_core fcl_catkin geometric_shapes
)

include_directories(
  include
  ${fcl_catkin_INCLUDE_DIRS}/fcl_catkin
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/collision_scene_fcl_latest.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_initializers ${catkin_EXPORTED_TARGETS})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(FILES exotica_plugins.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-exotica-collision-scene-fcl-latest (6.0.2-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (6.0.1-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (6.0.0-1stretch) stretch; urgency=high

  * Remove usage of exotica_collision_scene_fcl; add backwards compatibility using exotica_collision_scene_fcl_latest (#726 <https://github.com/ipab-slmc/exotica/issues/726>)
  * Fix transform bug fix, remove usage of tf_conversions (#723 <https://github.com/ipab-slmc/exotica/issues/723>)
  * Merge remote-tracking branch 'origin/master'
  * Return after first ACM entry is found
  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048
  * Move to Initializer initialisation of collision scenes
  * Check whether transform contains NaNs (translation)
  * CollisionScene: Store whether update of objects is required
  * CollisionScene: Add setter/getter for replace_cylinder_with_capsule, do not store duplicate company of world links to be excluded from collision scene
  * Contributors: Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.3-1stretch) stretch; urgency=high

  * Refactor CollisionScene, add faster distance checks, speedup SmoothCollisionDistance (#688 <https://github.com/ipab-slmc/exotica/issues/688>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.2-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.1-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.0-1stretch) stretch; urgency=high

  * Address -Wall warnings (#679 <https://github.com/ipab-slmc/exotica/issues/679>)
  * Update from research branch (#660 <https://github.com/ipab-slmc/exotica/issues/660>)
  * Address catkin lint (#549 <https://github.com/ipab-slmc/exotica/issues/549>)
  * Add world-links-to-exclude (#525 <https://github.com/ipab-slmc/exotica/issues/525>)
  * Check finiteness of contact_pos in DEBUG mode (#514 <https://github.com/ipab-slmc/exotica/issues/514>)
  * Contributors: Christian Rauch, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-exotica-collision-scene-fcl-latest
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <wolfgang@robots.ox.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-exotica-core, ros-melodic-fcl-catkin, ros-melodic-geometric-shapes
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-exotica-collision-scene-fcl-latest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-exotica-core, ros-melodic-fcl-catkin, ros-melodic-geometric-shapes
Description: Collision checking and distance computation using the latest version of the FCL library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-exotica-collision-scene-fcl-latest//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-exotica-collision-scene-fcl-latest 6.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,28 @@
 
 add_compile_options(-std=c++11)
 
-find_package(catkin REQUIRED COMPONENTS exotica_core fcl_catkin geometric_shapes)
+find_package(catkin REQUIRED COMPONENTS exotica_core geometric_shapes)
+
+# FCL 0.6.x has been released into Noetic as FCL. We can thus use the upstream FCL version.
+# For previous ROS releases, we used our own bleeding-edge catkin wrapper fcl_catkin.
+# The following switches between the two variants
+set(FCL_INCLUDE_DIRS "")
+set(FCL_LIBRARIES "")
+set(FCL_DEPENDENCY "")
+set(FCL_CATKIN_DEPENDENCY "")
+if("$ENV{ROS_DISTRO}" STREQUAL "noetic")
+  message(STATUS "Noetic - using ros-noetic-fcl")
+  find_package(fcl REQUIRED)
+  set(FCL_DEPENDENCY "FCL")
+elseif(DEFINED ENV{ROS_DISTRO})
+  message(STATUS "Non-Noetic ROS distribution ($ENV{ROS_DISTRO}) - using ros-noetic-fcl-catkin")
+  find_package(fcl_catkin REQUIRED)
+  set(FCL_INCLUDE_DIRS ${fcl_catkin_INCLUDE_DIRS}/fcl_catkin)
+  set(FCL_LIBRARIES ${fcl_catkin_LIBRARIES})
+  set(FCL_CATKIN_DEPENDENCY "fcl_catkin")
+else()
+  message(FATAL_ERROR "Unknown ROS_DISTRO - cannot select FCL dependency.")
+endif()
 
 AddInitializer(collision_scene_fcl_latest)
 GenInitializers()
@@ -11,17 +32,18 @@
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}
-  CATKIN_DEPENDS exotica_core fcl_catkin geometric_shapes
+  CATKIN_DEPENDS exotica_core ${FCL_CATKIN_DEPENDENCY} geometric_shapes
+  DEPENDS ${FCL_DEPENDENCY}
 )
 
 include_directories(
   include
-  ${fcl_catkin_INCLUDE_DIRS}/fcl_catkin
+  ${FCL_INCLUDE_DIRS}
   ${catkin_INCLUDE_DIRS}
 )
 
 add_library(${PROJECT_NAME} src/collision_scene_fcl_latest.cpp)
-target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
+target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${FCL_LIBRARIES})
 add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_initializers ${catkin_EXPORTED_TARGETS})
 
 install(TARGETS ${PROJECT_NAME}

=== debian/changelog ===
ros-melodic-exotica-collision-scene-fcl-latest (6.2.0-1bionic) bionic; urgency=high

  * Switch to FCL on Noetic, use fcl_catkin on older distros (#735 <https://github.com/ipab-slmc/exotica/issues/735>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Thu, 22 Jul 2021 23:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (6.1.1-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 04 Apr 2021 23:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (6.1.0-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 15 Mar 2021 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (6.0.2-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (6.0.1-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (6.0.0-1bionic) bionic; urgency=high

  * Remove usage of exotica_collision_scene_fcl; add backwards compatibility using exotica_collision_scene_fcl_latest (#726 <https://github.com/ipab-slmc/exotica/issues/726>)
  * Fix transform bug fix, remove usage of tf_conversions (#723 <https://github.com/ipab-slmc/exotica/issues/723>)
  * Merge remote-tracking branch 'origin/master'
  * Return after first ACM entry is found
  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048
  * Move to Initializer initialisation of collision scenes
  * Check whether transform contains NaNs (translation)
  * CollisionScene: Store whether update of objects is required
  * CollisionScene: Add setter/getter for replace_cylinder_with_capsule, do not store duplicate company of world links to be excluded from collision scene
  * Contributors: Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.3-1bionic) bionic; urgency=high

  * Refactor CollisionScene, add faster distance checks, speedup SmoothCollisionDistance (#688 <https://github.com/ipab-slmc/exotica/issues/688>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.2-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.1-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-collision-scene-fcl-latest (5.1.0-1bionic) bionic; urgency=high

  * Address -Wall warnings (#679 <https://github.com/ipab-slmc/exotica/issues/679>)
  * Update from research branch (#660 <https://github.com/ipab-slmc/exotica/issues/660>)
  * Address catkin lint (#549 <https://github.com/ipab-slmc/exotica/issues/549>)
  * Add world-links-to-exclude (#525 <https://github.com/ipab-slmc/exotica/issues/525>)
  * Check finiteness of contact_pos in DEBUG mode (#514 <https://github.com/ipab-slmc/exotica/issues/514>)
  * Contributors: Christian Rauch, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000
